## WebKitDOMHTMLKeygenElement WebKitDOMHTMLKeygenElement |

## Functions

gboolean | webkit_dom_html_keygen_element_check_validity ()
void | webkit_dom_html_keygen_element_set_custom_validity ()
gboolean | webkit_dom_html_keygen_element_get_autofocus ()
void | webkit_dom_html_keygen_element_set_autofocus ()
gchar * | webkit_dom_html_keygen_element_get_challenge ()
void | webkit_dom_html_keygen_element_set_challenge ()
gboolean | webkit_dom_html_keygen_element_get_disabled ()
void | webkit_dom_html_keygen_element_set_disabled ()
WebKitDOMHTMLFormElement * | webkit_dom_html_keygen_element_get_form ()
gchar * | webkit_dom_html_keygen_element_get_keytype ()
void | webkit_dom_html_keygen_element_set_keytype ()
gchar * | webkit_dom_html_keygen_element_get_name ()
void | webkit_dom_html_keygen_element_set_name ()
gboolean | webkit_dom_html_keygen_element_get_will_validate ()
WebKitDOMValidityState * | webkit_dom_html_keygen_element_get_validity ()
gchar * | webkit_dom_html_keygen_element_get_validation_message ()
WebKitDOMNodeList * | webkit_dom_html_keygen_element_get_labels ()

## Properties

gboolean | autofocus | Read / Write
gchar * | challenge | Read / Write
gboolean | disabled | Read / Write
WebKitDOMHTMLFormElement * | form | Read
gchar * | keytype | Read / Write
WebKitDOMNodeList * | labels | Read
gchar * | name | Read / Write
gchar * | type | Read
gchar * | validation-message | Read
WebKitDOMValidityState * | validity | Read
gboolean | will-validate | Read

## Types and Values

| WebKitDOMHTMLKeygenElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLKeygenElement

## Implemented Interfaces

WebKitDOMHTMLKeygenElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_keygen_element_check_validity ()

    gboolean
    webkit_dom_html_keygen_element_check_validity
                                   (WebKitDOMHTMLKeygenElement *self);

#### Parameters

self | A WebKitDOMHTMLKeygenElement |

#### Returns

A gboolean

### webkit_dom_html_keygen_element_set_custom_validity ()

    void
    webkit_dom_html_keygen_element_set_custom_validity
                                   (WebKitDOMHTMLKeygenElement *self,
                                    const gchar *error);

#### Parameters

self | A WebKitDOMHTMLKeygenElement |
error | A gchar |

### webkit_dom_html_keygen_element_get_autofocus ()

    gboolean
    webkit_dom_html_keygen_element_get_autofocus
                                   (WebKitDOMHTMLKeygenElement *self);

#### Parameters

self | A WebKitDOMHTMLKeygenElement |

#### Returns

A gboolean

### webkit_dom_html_keygen_element_set_autofocus ()

    void
    webkit_dom_html_keygen_element_set_autofocus
                                   (WebKitDOMHTMLKeygenElement *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMHTMLKeygenElement |
value | A gboolean |

### webkit_dom_html_keygen_element_get_challenge ()

    gchar *
    webkit_dom_html_keygen_element_get_challenge
                                   (WebKitDOMHTMLKeygenElement *self);

#### Parameters

self | A WebKitDOMHTMLKeygenElement |

#### Returns

A gchar

### webkit_dom_html_keygen_element_set_challenge ()

    void
    webkit_dom_html_keygen_element_set_challenge
                                   (WebKitDOMHTMLKeygenElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLKeygenElement |
value | A gchar |

### webkit_dom_html_keygen_element_get_disabled ()

    gboolean
    webkit_dom_html_keygen_element_get_disabled
                                   (WebKitDOMHTMLKeygenElement *self);

#### Parameters

self | A WebKitDOMHTMLKeygenElement |

#### Returns

A gboolean

### webkit_dom_html_keygen_element_set_disabled ()

    void
    webkit_dom_html_keygen_element_set_disabled
                                   (WebKitDOMHTMLKeygenElement *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMHTMLKeygenElement |
value | A gboolean |

### webkit_dom_html_keygen_element_get_form ()

    WebKitDOMHTMLFormElement *
    webkit_dom_html_keygen_element_get_form
                                   (WebKitDOMHTMLKeygenElement *self);

#### Parameters

self | A WebKitDOMHTMLKeygenElement |

#### Returns

A WebKitDOMHTMLFormElement.

[transfer none]

### webkit_dom_html_keygen_element_get_keytype ()

    gchar *
    webkit_dom_html_keygen_element_get_keytype
                                   (WebKitDOMHTMLKeygenElement *self);

#### Parameters

self | A WebKitDOMHTMLKeygenElement |

#### Returns

A gchar

### webkit_dom_html_keygen_element_set_keytype ()

    void
    webkit_dom_html_keygen_element_set_keytype
                                   (WebKitDOMHTMLKeygenElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLKeygenElement |
value | A gchar |

### webkit_dom_html_keygen_element_get_name ()

    gchar *
    webkit_dom_html_keygen_element_get_name
                                   (WebKitDOMHTMLKeygenElement *self);

#### Parameters

self | A WebKitDOMHTMLKeygenElement |

#### Returns

A gchar

### webkit_dom_html_keygen_element_set_name ()

    void
    webkit_dom_html_keygen_element_set_name
                                   (WebKitDOMHTMLKeygenElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLKeygenElement |
value | A gchar |

### webkit_dom_html_keygen_element_get_will_validate ()

    gboolean
    webkit_dom_html_keygen_element_get_will_validate
                                   (WebKitDOMHTMLKeygenElement *self);

#### Parameters

self | A WebKitDOMHTMLKeygenElement |

#### Returns

A gboolean

### webkit_dom_html_keygen_element_get_validity ()

    WebKitDOMValidityState *
    webkit_dom_html_keygen_element_get_validity
                                   (WebKitDOMHTMLKeygenElement *self);

#### Parameters

self | A WebKitDOMHTMLKeygenElement |

#### Returns

A WebKitDOMValidityState.

[transfer none]

### webkit_dom_html_keygen_element_get_validation_message ()

    gchar *
    webkit_dom_html_keygen_element_get_validation_message
                                   (WebKitDOMHTMLKeygenElement *self);

#### Parameters

self | A WebKitDOMHTMLKeygenElement |

#### Returns

A gchar

### webkit_dom_html_keygen_element_get_labels ()

    WebKitDOMNodeList *
    webkit_dom_html_keygen_element_get_labels
                                   (WebKitDOMHTMLKeygenElement *self);

#### Parameters

self | A WebKitDOMHTMLKeygenElement |

#### Returns

A WebKitDOMNodeList.

[transfer none]

## Types and Values

### WebKitDOMHTMLKeygenElement

    typedef struct _WebKitDOMHTMLKeygenElement WebKitDOMHTMLKeygenElement;

## Property Details

### The `“autofocus”` property

      “autofocus”                gboolean

read-write gboolean HTMLKeygenElement:autofocus.

Flags: Read / Write

Default value: FALSE

### The `“challenge”` property

      “challenge”                gchar *

read-write gchar* HTMLKeygenElement:challenge.

Flags: Read / Write

Default value: ""

### The `“disabled”` property

      “disabled”                 gboolean

read-write gboolean HTMLKeygenElement:disabled.

Flags: Read / Write

Default value: FALSE

### The `“form”` property

      “form”                     WebKitDOMHTMLFormElement *

read-only WebKitDOMHTMLFormElement* HTMLKeygenElement:form.

Flags: Read

### The `“keytype”` property

      “keytype”                  gchar *

read-write gchar* HTMLKeygenElement:keytype.

Flags: Read / Write

Default value: ""

### The `“labels”` property

      “labels”                   WebKitDOMNodeList *

read-only WebKitDOMNodeList* HTMLKeygenElement:labels.

Flags: Read

### The `“name”` property

      “name”                     gchar *

read-write gchar* HTMLKeygenElement:name.

Flags: Read / Write

Default value: ""

### The `“type”` property

      “type”                     gchar *

read-only gchar* HTMLKeygenElement:type.

Flags: Read

Default value: ""

### The `“validation-message”` property

      “validation-message”       gchar *

read-only gchar* HTMLKeygenElement:validation-message.

Flags: Read

Default value: ""

### The `“validity”` property

      “validity”                 WebKitDOMValidityState *

read-only WebKitDOMValidityState* HTMLKeygenElement:validity.

Flags: Read

### The `“will-validate”` property

      “will-validate”            gboolean

read-only gboolean HTMLKeygenElement:will-validate.

Flags: Read

Default value: FALSE